# Class GenerateLoad

java.lang.Object
org.apache.zookeeper.test.system.GenerateLoad

public class GenerateLoad extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`GenerateLoad.GeneratorInstance`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final org.slf4j.Logger`
`LOG`

## Constructor Summary

Constructors
Constructor
Description
`GenerateLoad()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LOG

protected static final org.slf4j.Logger LOG

## Constructor Details

### GenerateLoad

public GenerateLoad()

## Method Details

### main

public static void main(String[] args) throws InterruptedException, KeeperException, NoAvailableContainers, DuplicateNameException, NoAssignmentException

Parameters:
  `args` -
Throws:
  `InterruptedException`
  `KeeperException`
  `DuplicateNameException`
  `NoAvailableContainers`
  `NoAssignmentException`